<?php
function add_custom1_meta_box() {  
    add_meta_box(  
        'custom1_meta_box',   
        'زمینه های دلخواه : نمونه کار ها',   
        'show_custom1_meta_box',   
        'post',   
        'normal',   
        'high');   
}  
add_action('add_meta_boxes', 'add_custom1_meta_box');  
// Field Array  
    $custom1_meta_fields = array(   
        
		array(  
            'label'=> 'عنوان پروژه',  
            'desc'  => '',  
            'id'    => 'portfolio_title',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'زمان انجام',  
            'desc'  => '',  
            'id'    => 'portfolio_time',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'موضوع',  
            'desc'  => '',  
            'id'    => 'portfolio_topic',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'سیستم مدیریت محتوا',  
            'desc'  => '',  
            'id'    => 'portfolio_cms',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'تکنولوژی استفاده شده',  
            'desc'  => '',  
            'id'    => 'portfolio_tec',  
            'type'  => 'justtext'  
        ),
		array(  
            'label'=> 'HTML5',  
            'desc'  => '',  
            'id'    => 'html5',  
            'type'  => 'checkbox'  
        ),
		array(  
            'label'=> 'CSS3',  
            'desc'  => '',  
            'id'    => 'css3',  
            'type'  => 'checkbox'  
        ),
		array(  
            'label'=> 'JS',  
            'desc'  => '',  
            'id'    => 'js',  
            'type'  => 'checkbox'  
        ),
		array(  
            'label'=> 'Ajax',  
            'desc'  => '',  
            'id'    => 'ajax',  
            'type'  => 'checkbox'  
        ),
		array(  
            'label'=> 'PHP',  
            'desc'  => '',  
            'id'    => 'php',  
            'type'  => 'checkbox'  
        ),
		array(  
            'label'=> 'mysql',  
            'desc'  => '',  
            'id'    => 'mysql',  
            'type'  => 'checkbox'  
        ),
		array(  
            'label'=> '',  
            'desc'  => '',  
            'id'    => 'html5',  
            'type'  => 'hr'  
        ),
		array(  
            'label'=> 'نظر مشتری',  
            'desc'  => '',  
            'id'    => 'portfolio_usercom',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'آدرس سایت',  
            'desc'  => '',  
            'id'    => 'portfolio_url',  
            'type'  => 'text'  
        ),
		
		array(  
            'label'=> 'نوع پروژه',  
            'desc'  => '',  
            'id'    => 'portfolio_type',  
            'type'  => 'select'  
        ),
		
		 
		 
		 
		
		
		 
    );
    function show_custom1_meta_box() {  
    global $custom1_meta_fields, $post;   
    echo '<input type="hidden" name="custom1_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';  
        echo '<table class="form-table">';  
        foreach ($custom1_meta_fields as $field) {   
            $meta = get_post_meta($post->ID, $field['id'], true);  
            echo '<tr> 
                    <th><label for="'.$field['id'].'">'.$field['label'].'</label></th> 
                    <td>';  
                    switch($field['type']) {  
    case 'text':  
        echo '<input type="text" name="'.$field['id'].'" id="'.$field['id'].'" value="'.$meta.'" size="55" /> 
            <br /><span class="description">'.$field['desc'].'</span>';  
    break;
	case 'justtext':  
        
    break;
	// checkbox
case 'select':
if($meta=="music") $music="selected"; elseif($meta=="film") $film="selected";elseif($meta=="co") $co="selected";elseif($meta=="person") $person="selected";
	echo ' 
		
		 <select name="'.$field['id'].'" >
		 
  <option value="music" '.$music.'>موزیک</option>
  <option value="film" '.$film.'>فیلم</option>
  <option value="co" '.$co.'>شرکتی</option>
  <option value="person" '.$person.'>شخصی</option>
</select> 
		
		
		
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	
case 'checkbox':
	echo '<input type="checkbox" name="'.$field['id'].'" id="'.$field['id'].'" ',$meta ? ' checked="checked"' : '','/>
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	

case 'textarea':
	echo '
	<textarea tabindex="4" style="width:80%;" id="'.$field['id'].'" name="'.$field['id'].'">'.$meta.'</textarea>
	 
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	
case 'hr':
	echo '
	<hr width="100%" size="2" />';
break;	
case 'br':
	echo '
	<br />';
break;	
                    } 
            echo '</td></tr>';  
        }  
        echo '</table>
		<style type="text/css">
		.form-table label {font:14px SAYekan;}
		</style>'; 
    }  
function save_custom1_meta($post_id) {  
    global $custom1_meta_fields;   
    if (!wp_verify_nonce($_POST['custom1_meta_box_nonce'], basename(__FILE__)))  
        return $post_id;    
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  
    if ('page' == $_POST['post_type']) {  
        if (!current_user_can('edit_page', $post_id))  
            return $post_id;  
        } elseif (!current_user_can('edit_post', $post_id)) {  
            return $post_id;  
    }  
    foreach ($custom1_meta_fields as $field) {  
        $old = get_post_meta($post_id, $field['id'], true);  
        $new = $_POST[$field['id']];  
        if ($new && $new != $old) {  
            update_post_meta($post_id, $field['id'], $new);  
        } elseif ('' == $new && $old) {  
            delete_post_meta($post_id, $field['id'], $old);  
        }  
    }  
}  
add_action('save_post', 'save_custom1_meta');    	
?>
<?php
function add_custom2_meta_box() {  
    add_meta_box(  
        'custom2_meta_box',   
        '!اطلاعات مطلب را وارد کنيد',   
        'show_custom2_meta_box',   
        'post',   
        'normal',   
        'high');   
}  
add_action('add_meta_boxes', 'add_custom2_meta_box');  
// Field Array  
    $custom2_meta_fields = array(   
        
		array(  
            'label'=> 'خلاصه',  
            'desc'  => '',  
            'id'    => 'kholase',  
            'type'  => 'textarea'  
        ),
		
		array(  
          
            'type'  => 'hr'  
        ),
		 
		array(  
            'label'=> 'عنوان دانلود',  
            'desc'  => 'مثلا : قالب ، اسکریپت',  
            'id'    => 'dl_name',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'متن 1',  
            'desc'  => 'مثلا : دانلود برای وردپرس',  
            'id'    => 'dl_1_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک 1',  
            'desc'  => 'مثلا : http://dl.decoweb.ir/temp/wp/a.zip',  
            'id'    => 'dl_1_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> 'متن 2',  
            'desc'  => 'مثلا : دانلود برای وردپرس',  
            'id'    => 'dl_2_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک 2',  
            'desc'  => 'مثلا : http://dl.decoweb.ir/temp/wp/a.zip',  
            'id'    => 'dl_2_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> 'متن 3',  
            'desc'  => 'مثلا : دانلود برای وردپرس',  
            'id'    => 'dl_3_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک 3',  
            'desc'  => 'مثلا : http://dl.decoweb.ir/temp/wp/a.zip',  
            'id'    => 'dl_3_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> 'متن 4',  
            'desc'  => 'مثلا : دانلود برای وردپرس',  
            'id'    => 'dl_4_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک 4',  
            'desc'  => 'مثلا : http://dl.decoweb.ir/temp/wp/a.zip',  
            'id'    => 'dl_4_link',  
            'type'  => 'text'  
        ),
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> 'متن 5',  
            'desc'  => 'مثلا : دانلود برای وردپرس',  
            'id'    => 'dl_5_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک 5',  
            'desc'  => 'مثلا : http://dl.decoweb.ir/temp/wp/a.zip',  
            'id'    => 'dl_5_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> 'متن 6',  
            'desc'  => 'مثلا : دانلود برای وردپرس',  
            'id'    => 'dl_6_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک 6',  
            'desc'  => 'مثلا : http://dl.decoweb.ir/temp/wp/a.zip',  
            'id'    => 'dl_6_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> 'متن 7',  
            'desc'  => 'مثلا : دانلود برای وردپرس',  
            'id'    => 'dl_7_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> 'لینک 7',  
            'desc'  => 'مثلا : http://dl.decoweb.ir/temp/wp/a.zip',  
            'id'    => 'dl_7_link',  
            'type'  => 'text'  
        ),
		
		
		
		array(  
          
            'type'  => 'hr'  
        ),
		 
		array(  
            'label'=> ' دمو',  
              
            'id'    => 'demo_name',  
            'type'  => 'justtext'  
        ),
		array(  
            'label'=> ' دمو - متن 1',  
            'desc'  => 'مثلا : دمو آنلاین',  
            'id'    => 'demo_1_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> ' دمو - لینک 1',  
            'desc'  => 'مثلا : http://demo.decoweb.ir/',  
            'id'    => 'demo_1_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> ' دمو - متن 2',  
            'desc'  => 'مثلا : دمو آنلاین',  
            'id'    => 'demo_2_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> ' دمو - لینک 2',  
            'desc'  => 'مثلا : http://demo.decoweb.ir/',  
            'id'    => 'demo_2_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> ' دمو - متن 3',  
            'desc'  => 'مثلا : دمو آنلاین',  
            'id'    => 'demo_3_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> ' دمو - لینک 3',  
            'desc'  => 'مثلا : http://demo.decoweb.ir/',  
            'id'    => 'demo_3_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> ' دمو - متن 4',  
            'desc'  => 'مثلا : دمو آنلاین',  
            'id'    => 'demo_4_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> ' دمو - لینک 4',  
            'desc'  => 'مثلا : http://demo.decoweb.ir/',  
            'id'    => 'demo_4_link',  
            'type'  => 'text'  
        ),
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> ' دمو - متن 5',  
            'desc'  => 'مثلا : دمو آنلاین',  
            'id'    => 'demo_5_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> ' دمو - لینک 5',  
            'desc'  => 'مثلا : http://demo.decoweb.ir/',  
            'id'    => 'demo_5_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> ' دمو - متن 6',  
            'desc'  => 'مثلا : دمو آنلاین',  
            'id'    => 'demo_6_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> ' دمو - لینک 6',  
            'desc'  => 'مثلا : http://demo.decoweb.ir/',  
            'id'    => 'demo_6_link',  
            'type'  => 'text'  
        ),
		
		array(  
          
            'type'  => 'br'  
        ),
		array(  
            'label'=> ' دمو - متن 7',  
            'desc'  => 'مثلا : دمو آنلاین',  
            'id'    => 'demo_7_text',  
            'type'  => 'text'  
        ),
		array(  
            'label'=> ' دمو - لینک 7',  
            'desc'  => 'مثلا : http://demo.decoweb.ir/',  
            'id'    => 'demo_7_link',  
            'type'  => 'text'  
        ),
		
		
		
		
		
		
		 
    );
    function show_custom2_meta_box() {  
    global $custom2_meta_fields, $post;   
    echo '<input type="hidden" name="custom2_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';  
        echo '<table class="form-table">';  
        foreach ($custom2_meta_fields as $field) {   
            $meta = get_post_meta($post->ID, $field['id'], true);  
            echo '<tr> 
                    <th><label for="'.$field['id'].'">'.$field['label'].'</label></th> 
                    <td>';  
                    switch($field['type']) {  
    case 'text':  
        echo '<input type="text" name="'.$field['id'].'" id="'.$field['id'].'" value="'.$meta.'" size="55" /> 
            <br /><span class="description">'.$field['desc'].'</span>';  
    break;
	case 'justtext':  
        
    break;
	// checkbox
case 'checkbox':
	echo '<input type="checkbox" name="'.$field['id'].'" id="'.$field['id'].'" ',$meta ? ' checked="checked"' : '','/>
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	
case 'textarea':
	echo '
	<textarea tabindex="4" style="width:80%;" id="'.$field['id'].'" name="'.$field['id'].'">'.$meta.'</textarea>
	 
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	
case 'hr':
	echo '
	<hr width="100%" size="2" />';
break;	
case 'br':
	echo '
	<br />';
break;	
                    } 
            echo '</td></tr>';  
        }  
        echo '</table>
		<style type="text/css">
		.form-table label {font:14px SAYekan;}
		</style>'; 
    }  
function save_custom2_meta($post_id) {  
    global $custom2_meta_fields;   
    if (!wp_verify_nonce($_POST['custom2_meta_box_nonce'], basename(__FILE__)))  
        return $post_id;    
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  
    if ('page' == $_POST['post_type']) {  
        if (!current_user_can('edit_page', $post_id))  
            return $post_id;  
        } elseif (!current_user_can('edit_post', $post_id)) {  
            return $post_id;  
    }  
    foreach ($custom2_meta_fields as $field) {  
        $old = get_post_meta($post_id, $field['id'], true);  
        $new = $_POST[$field['id']];  
        if ($new && $new != $old) {  
            update_post_meta($post_id, $field['id'], $new);  
        } elseif ('' == $new && $old) {  
            delete_post_meta($post_id, $field['id'], $old);  
        }  
    }  
}  
add_action('save_post', 'save_custom2_meta');    	
?>