<?php
/*
Template Name: Design
*/
$page_name="design";
 ?>
 
<?php include (TEMPLATEPATH . '/nav_head.php'); ?>
<!-- end header -->
         
        <!-- vijegiha -->
        	<div class="vijegiha">
            	<div class="paddAll">
                	<div class="fixIPD">
                        <div class="right">
                            <div class="title hidemeIPD">
                                <div class="text">ویژگی های طراحی وب سایت شرکت دکو وب</div>
                                <div class="line"></div>
							</div>
                            <ul class="content hidemeIPD">
                                <li><i class="icon-arrow-left10"></i> <span>طراحی گرافیک اختصاصی و حرفه ای بر اساس HTML5 و CSS3 معتبر</span></li>
                                <li><i class="icon-arrow-left10"></i> <span>طراحی واکنش گرا (Responsive) قالب سایت – نمایش مخصوص تبلت و موبایل</span></li>
                                <li><i class="icon-arrow-left10"></i> <span>مدیریت آسان وبسایت همچون مطالب، منوها، کاربران و . . .</span></li>
                                <li><i class="icon-arrow-left10"></i> <span>سئو و بهینه سازی ساختاری بالا (SEO Friendly)</span></li>
                                <li><i class="icon-arrow-left10"></i> <span>یک سال هاست، دامنه (Domian( .ir و پشتیبانی فنی رایگان</span></li>
                                <li><i class="icon-arrow-left10"></i> <span>و بسیاری از امکانات دیگر درخواستی شما</span></li>
                            </ul>
                        </div>
                        <div class="left hidemeIPD">
                            <img src="<?php bloginfo('stylesheet_directory'); ?>/images/design_page/vijegiha.png" alt="#">
                        </div>
                    </div>
                </div>
            </div>
        <!-- end vijegiha -->
        <!-- rezayat -->
        	<div class="rezayat">
            	<div class="paddAll">
                	<div class="fixIPD">
                    	<div class="title hidemeIPD">رضایت مشتریان ما اتفاقی نیست…</div>
                        
                        <div class="block hidemeIPD">
                        	<i class="icon-checkmark3"></i>
                            <div class="title2">اطمینان شما</div>
                            <div class="text">حاصل سابقۀ درخشان فعالیت ماست</div>
                        </div>
                        <div class="block hidemeIPD">
                        	<i class="icon-checkmark3"></i>
                            <div class="title2">آرامش شما</div>
                            <div class="text">حاصل پشتیبانی همه جانبۀ ماست</div>
                        </div>
                        <div class="block last hidemeIPD">
                        	<i class="icon-checkmark3"></i>
                            <div class="title2">رضایت شما</div>
                            <div class="text">حاصل کیفیت محصولات و خدمات ماست</div>
                        </div>
                    </div>
                </div>
            </div>
        <!-- end vijegiha -->
        
        <!-- amar -->
        	<div class="amar">
            	<div class="paddAll">
                	<div class="fixIPD">
                    	<div class="right hidemeIPD">
                        	<div class="title">آمار ما</div>
                            
                            <ul>
                            	<li><i class="icon-checkmark one"></i><span class="text">پروژه های انجام شده</span><span class="goleft"><?php echo get_option('finishpro');?></span></li>
                            	<li><i class="icon-ellipsis two"></i><span class="text">پروژه های درحال اجرا</span><span class="goleft"><?php echo get_option('procespro');?></span></li>
                            	<li><i class="icon-paint-format three"></i><span class="text">پروژه های تحت پشتیبانی نقره ای</span><span class="goleft"><?php echo get_option('noghreeipro');?></span></li>
                            	<li><i class="icon-cart4 four"></i><span class="text">تعداد درخواست انالایز سئو</span><span class="goleft"><?php echo get_option('reqpro');?></span></li>
                            </ul>
                        </div>
                        <div class="left hidemeIPD">
                        	<div class="title">پروژه های درحال اجرا</div>
                            
                            <ul>
                            	<?php
								$color=array("","one","two","three","four","five","six");
								$t=10;
								for($i=1;$i<=$t;$i++){
								$title[$i]=get_option('pro_'.$i.'_title');
								$per[$i]=get_option('pro_'.$i.'_per');
								if(!empty($title[$i])) {
								?>
								<div class="label"><?=$title[$i]?></div>
                            	<li class="progress"><div class="in <?=$color[$i]?>" style="width:<?=$per[$i]?>%;"><?=$per[$i]?>%</div></li>	
								<?php } } ?>
								
							 
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        <!-- end amar -->

        <!-- arzan -->
        	<div class="arzan hidemeIPD">
            	<div class="paddAll">
                	ما ارزان‌ترین نیستیم ….<br>
                	ولی یکی از  بهترین و حرفه ای ترین‌ها در حرفه خود هستیم
                </div>
            </div>
        <!-- end arzan -->
        
        <!-- help -->
        	<div class="help">
            	<div class="paddAll">
                	<div class="title"><span></span> راهنمای ثبت سفارش</div>
                	<div class="fixIPD">
                    	<div class="top hidemeIPD">
                        	<div class="section section1 active" data-title="section1">
                                <div class="text">
                                	<div class="strIPD">مشاوره رایگان</div>
                                    <div class="line one"></div>
                                    <div class="number">۱</div>
                                </div>
                            </div>
                            <div class="section section2" data-title="section2">
                            	<div class="text">
                                    <div class="strIPD">انتخاب سرویس</div>
                                    <div class="line two"></div>
                                    <div class="number">۲</div>
                                    
                                </div>
                            </div>
                            <div class="section section3" data-title="section3">
                            	<div class="text">
                                    <div class="strIPD">پرداخت هزینه</div>
                                    <div class="line three"></div>
                                    <div class="number">۳</div>
                                </div>
                            </div>
                            <div class="section section4" data-title="section4">
                            	<div class="text">
                                    <div class="strIPD">فعال سازی</div>
                                    <div class="fixThis"></div>
                                    <div class="number">۴</div>
                                </div>
                            </div>
                        </div>
                        
                        <div class="hidemeIPD">
                            <div class="content section1 active">
                                دکو وب با مجموعه کارشناسان خود با گستره گوناگون تخصص هایشان، با افتخار شما را در دنیای اینترت همراهی نموده و مشاور امین شما در زمینه ی برندینگ دیجیتال خواهد بود. ما برند شما را به مشتریان آینده شما نشان خواهیم داد. مشاوره رایگان : 2409900-0930 ​توجه فرمایید کلیه سفارشات جدید توسط دفتر فروش دکو وب به شماره 4368975 - 0313 بررسی و تایید خواهد شد لذا برای ثبت سفارش و پیگیری خرید حتما با شماره فوق تماس حاصل فرمایید برای پشتیبانی نیز میتوانید با شماره تلفن 2409900 – 00930 مکاتبه فرمایید 
                            </div>
                            <div class="content section2">
                                بعد از تماس و مشاوره رایگان با کارشناسان,لطفا سرویس مورد نیاز را انتخاب کرده و در سامانه پشتیبانی عضو شوید به محض انتخاب سرویس,فاکتوری برای شما ایجاد و ارسال می شود
                            </div>
                            <div class="content section3">
                                 پرداخت آنلاین از طریق تمامی کارتهای عضو شبکه بانکی کشور پس از ورود به بخش فروش و سفارش محصول به صورت خودکار لینک پرداخت اینترنتی برای شما فعال خواهد شد. در این روش شما به درگاه بانک متصل شده و ازطریق تمام کارتهای بانکی کشور می توانید اقدام به پرداخت اینترنتی نمایید.در صورت استفاده از پرداخت اینترنتی,فاکتور شما به صورت آنی تایید و خدمات مربوطه تحویل داده خواهد شد. توجه: درگاه بانک ممکن است متعلق به بانک سامان ، پارسیان و یا بانک دیگری باشد که ارتباطی با کارت بانکی شما نداشته و شما می توانید با هر کارتی متعلق به هر یک از بانکهای کشور اقدام به خرید نمایید. *واریز به یکی از شماره حسابهای اعلام شده
                            </div>
                            <div class="content section4">
                                سفارش شما در کمتر از چند دقیقه بررسی و فعال خواهد شد :)
                            </div>
                        </div>
                        <!-- end content -->
                    </div>
                </div>
            </div>
        <!-- end help -->
        
        <!-- slider -->
        	<div class="IPD123">
            	<div class="paddAll">
                    <div class="title"><span></span> برخی از نمونه کارهای ما</div>
                </div>
            </div>
        	<div class="slider">
                <div class="next"><i class="icon-uniE91B"></i></div>
                <div class="right"></div>
                <div class="center"></div>
                <div class="left"></div>
                <div class="back"><i class="icon-arrow-left10"></i></div>
                
                <div class="slides">
                    <ul>
                       

<?php
query_posts('cat='.get_option('nemoone_cat').'&showposts=6'); if(have_posts()) :
while(have_posts()) : the_post();
?>
	 
<li>		
				
 <?php if (function_exists('SA_get')) {
$SA_thumb=SA_get_thumb();
$SA_content_pic=SA_get_img(1);
if(!empty($SA_thumb)):$SA_cover=$SA_thumb;elseif(!empty($SA_content_pic)):$SA_cover=$SA_content_pic;else :$SA_cover=get_bloginfo('template_url')."/images/nopic.jpg";endif;
?>
<img src="<?=$SA_cover?>" alt="<?php the_title();?>"/>
<?php } else {echo "جهت نمايش تصاوير فانکشن SA_get,SA_get_thumb,SA_get_img را نصب نماييد !";} ?>

 </li>	
				
<?php endwhile;endif; ?>
				

<?php wp_reset_query(); ?>

					 
                    </ul>
                </div>
            </div>
		<!-- end slider -->
		<!-- customer -->
        	<div class="customer onTop">
                <div class="paddAll">
                	<div class="title">
                    	<h5 class="top hidemeIPD">برخی از مشتریان</h5>
                        <div class="bottom hidemeIPD">در زیر می توانید برخی از مشتریان این مجموعه را مشاهده فرمایید</div>
                        <div class="image hidemeIPD">
                        <?php $tedad_ads=get_option('tedade_ads');if(empty($tedad_ads)) $tedad_ads=5;for($i=1;$i<=$tedad_ads;$i++){
								$name_ads[$i]=get_option('name_ads_'.$i);
								$pic_ads[$i]=get_option('pic_ads_'.$i);
								
								if(!empty($name_ads[$i])) {
								?>	
									
									
									
									 
								 <div class="flip-container" ontouchstart="this.classList.toggle('hover');">
                                <div class="front">
                                    <img src="<?=$pic_ads[$i]?>" alt="#">
                                </div>
                                <div class="back">
                                    <div class="text"><?=$name_ads[$i]?></div>
                                </div>
                            </div>
								<?php  } } ?>  
                            
                            
                        </div>
                    </div>
                </div>
            </div>
        <!-- End customer -->
<?php include (TEMPLATEPATH . '/foot.php'); ?> 
<?php get_footer(); ?>
 