<?php
add_filter( 'rwmb_meta_boxes', 'YOUR_PREFIX_register_meta_boxes' );
function YOUR_PREFIX_register_meta_boxes( $meta_boxes )
{

        $prefix = 'WTF_';

$meta_boxes[] = array(

	'id' => 'product_info',
	'title' => 'مشخصه های محصول',
	'pages' => array( 'post','download' ),
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(


		// TEXT
		 
		array(
			// Field name - Will be used as label
			'name'		=> 'قیمت محصول',
			'id'		=> $prefix . 'price',
			'desc'		=> 'اضافه کردن قیمت به تومان (مثال : 25 هزار تومان)',
			'clone'		=> false,
			'type'		=> 'text',
		),
		array(
			// Field name - Will be used as label
			'name'		=> 'حجم کلی قالب',
			'id'		=> $prefix . 'total-s',
			'desc'		=> 'حجم کلی قالب با فولدر ها و محتویات',
			'clone'		=> false,
			'type'		=> 'text',
		),
		array(
			// Field name - Will be used as label
			'name'		=> 'حجم صفحه index',
			'id'		=> $prefix . 'index-s',
			'desc'		=> 'حجم صفحه اصلی',
			'clone'		=> false,
			'type'		=> 'text',
		),
		array(
			// Field name - Will be used as label
			'name'		=> 'زمینه کاربرد',
			'id'		=> $prefix . 'arc',
			'desc'		=> 'کاربرد قالب در چه زمینه ای می باشد ؟ (مثال : فروشگاهی / شخصی / خبری)',
			'clone'		=> false,
			'type'		=> 'text',
		),
	 
		array(
			// Field name - Will be used as label
			'name'		=> 'قابلیت ریسپانسیو',
			'id'		=> $prefix . 'responsive',
			'desc'		=> 'واکنش گرا بودن قالب به اندازه عرض مرورگر',
			'clone'		=> false,
			'type'		=> 'text',
		),
		array(
			// Field name - Will be used as label
			'name'		=> 'لینک دمو',
			'id'		=> $prefix . 'demo',
			'desc'		=> 'لینک دمو',
			'clone'		=> false,
			'type'		=> 'text',
		),
		array(
			// Field name - Will be used as label
			'name'		=> 'لینک خرید',
			'id'		=> $prefix . 'buy',
			'desc'		=> 'لینک خرید',
			'clone'		=> false,
			'type'		=> 'text',
		),
		array(
		// FILE UPLOAD
			'name' 		=> 'آپلود فایل اسکرین شات ها',
			'id'		=> 'iestore_screenshot',
			'type'		 => 'file',
		),
		array(
		// FILE UPLOAD
			'name' 		=> 'آپلود کاور محصول',
			'id'		=> 'iestore_cover',
			'type'		 => 'file',
		),
		array(
		// FILE UPLOAD
			'name' 		=> 'آپلود پوسته های رایگان',
			'id'		=> 'iestore_free-themes',
			'type'		 => 'file',
			'clone'		=> false,
		),
		array(
			'name' => 'فعال کردن تخفیف',
			'id' => $prefix . 'discountstatus',
			'type' => 'radio',
			'options' => array(
				'active' => 'فعال',
				'deactive' => 'غیرفعال',
			),
		),
		array(
			// Field name - Will be used as label
			'name'		=> 'درصد تخفیف',
			'id'		=> $prefix . 'discountpurcent',
			'desc'		=> 'چند درصد تخفیف دارد ؟',
			'clone'		=> false,
			'type'		=> 'text',
		),
		array(
			// Field name - Will be used as label
			'name'		=> 'قیمت با تخفیف',
			'id'		=> $prefix . 'discountprice',
			'desc'		=> 'قیمت با تخفیف',
			'clone'		=> false,
			'type'		=> 'text',
		),
		
		array(
			// Field name - Will be used as label
			'name'		=> 'زمان ثبت محصول',
			'id'		=> $prefix . 'time',
			'desc'		=> 'زمان ثبت محصول',
			'clone'		=> false,
			'type'		=> 'text',
		),
array(
			// Field name - Will be used as label
			'name'		=> 'آخرین بروزرسانی',
			'id'		=> $prefix . 'up',
			'desc'		=> 'آخرین بروزرسانی',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'تعداد خرید',
			'id'		=> $prefix . 'shopnum',
			'desc'		=> 'تعداد خرید',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'سازگار با مرورگرهای',
			'id'		=> $prefix . 'brow',
			'desc'		=> 'سازگار با مرورگرهای',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'ستون های قالب',
			'id'		=> $prefix . 'col',
			'desc'		=> 'ستون های قالب',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'اسلایدر',
			'id'		=> $prefix . 'slider',
			'desc'		=> 'اسلایدر',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'نسخه محصول',
			'id'		=> $prefix . 'ver',
			'desc'		=> 'نسخه محصول',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'فایل راهنما',
			'id'		=> $prefix . 'help',
			'desc'		=> 'فایل راهنما',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'نوع قالبندی',
			'id'		=> $prefix . 'ghalebbandi',
			'desc'		=> 'نوع قالبندی',
			'clone'		=> false,
			'type'		=> 'text',
		),array(
			// Field name - Will be used as label
			'name'		=> 'فرمت فایل ها',
			'id'		=> $prefix . 'format',
			'desc'		=> 'فرمت فایل ها',
			'clone'		=> false,
			'type'		=> 'text',
		),
// WYSIWYG/RICH TEXT EDITOR
array(
'name' => "تغییرات و به‌روزرسانی‌ها",
'id' => $prefix . 'support',
'type' => 'wysiwyg',
'raw' => false,
'std' => '',
'options' => array(
'textarea_rows' => 5,
'teeny' => true,
'media_buttons' => false,
),
),





	)
);
return $meta_boxes;
}
?>